Bug 497663 - Review Request: perl-HTML-StripScripts-Parser - XSS filter using HTML::Parser
Review Request: perl-HTML-StripScripts-Parser - XSS filter using HTML::Parser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 497662
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-25 17:05 EDT by Xavier Bachelot
Modified: 2009-05-09 00:04 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.02-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-06 19:26:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2009-04-25 17:05:33 EDT
Spec URL: http://www.bachelot.org/fedora/SPECS/perl-HTML-StripScripts-Parser.spec
SRPM URL: http://www.bachelot.org/fedora/SRPMS/perl-HTML-StripScripts-Parser-1.02-1.fc10.src.rpm
Description: This class provides an easy interface to HTML::StripScripts, using
HTML::Parser to parse the HTML.
Comment 1 Parag AN(पराग) 2009-04-30 04:43:32 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build => http://koji.fedoraproject.org/koji/taskinfo?taskID=1330026
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
0fb38dc2c632844883f3e716b056a88a  HTML-StripScripts-Parser-1.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=6, Tests=217,  0 wallclock secs ( 0.10 usr  0.02 sys +  0.43 cusr  0.06 csys =  0.61 CPU)
+ Package perl-HTML-StripScripts-Parser-1.02-1.fc12.noarch =>
Provides: perl(HTML::StripScripts::Parser) = 1.02
Requires: perl(HTML::Parser) perl(HTML::StripScripts) perl(base) perl(strict) perl(vars)
+ Not a GUI application

APPROVED.
Comment 2 Xavier Bachelot 2009-04-30 04:59:49 EDT
Thanks for yet another review Parag :-)

New Package CVS Request
=======================
Package Name: perl-HTML-StripScripts-Parser
Short Description: XSS filter using HTML::Parser
Owners: xavierb
Branches: F-9 F-10 F-11 EL-5
InitialCC: perl-sig
Comment 3 Dennis Gilmore 2009-05-01 16:56:38 EDT
CVS Done
Comment 4 Xavier Bachelot 2009-05-03 18:24:17 EDT
Imported and built for F-9, F10 and F-11.
Imported and built a slightly older version for EL-5 to be able to fulfil the build requirements.
Comment 5 Fedora Update System 2009-05-03 18:26:54 EDT
perl-HTML-StripScripts-Parser-1.02-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-HTML-StripScripts-Parser-1.02-1.fc10
Comment 6 Fedora Update System 2009-05-03 18:26:58 EDT
perl-HTML-StripScripts-Parser-1.02-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/perl-HTML-StripScripts-Parser-1.02-1.fc9
Comment 7 Fedora Update System 2009-05-03 18:27:03 EDT
perl-HTML-StripScripts-Parser-1.02-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-HTML-StripScripts-Parser-1.02-1.fc11
Comment 8 Fedora Update System 2009-05-06 19:26:02 EDT
perl-HTML-StripScripts-Parser-1.02-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-05-06 19:27:07 EDT
perl-HTML-StripScripts-Parser-1.02-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2009-05-09 00:04:38 EDT
perl-HTML-StripScripts-Parser-1.02-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.